Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519252 - Policy event assigned on host are not visible on host timeline
Summary: Policy event assigned on host are not visible on host timeline
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.5
Assignee: Gregg Tanzillo
QA Contact: Dave Johnson
URL:
Whiteboard: timeline,policy event
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 14:04 UTC by thiebaut fischer
Modified: 2018-10-02 14:38 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-02 14:38:06 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
provider Tl and its host policy events (deleted)
2017-11-30 14:04 UTC, thiebaut fischer
no flags Details
empty policy events of the host (deleted)
2017-11-30 14:04 UTC, thiebaut fischer
no flags Details
logs (deleted)
2017-12-01 09:52 UTC, thiebaut fischer
no flags Details

Description thiebaut fischer 2017-11-30 14:04:10 UTC
Created attachment 1360957 [details]
provider Tl and its host policy events

Description of problem:

The host timeline does not show its own policy event assigned to itself.
Policy Event appears on other timelines ( CLoud Intel, its provider...)
Issue noticed on 5.7 provider Vsphere6-nested. Not tested on other providers.

Version-Release number of selected component (if applicable):
5.7.4.1.20171114202358_de8178a

How reproducible:

Always
Steps to Reproduce:
1. Create a policy for the host ( like if tag cost_center == 001 is present, then run smart state analysis)
2. assign it to a host
3. fulfill the condition of the policy
4. check the host timeline: policy events

Actual results:
No events


Expected results:
Events of the policy on the timeline


Additional info:

Comment 2 thiebaut fischer 2017-11-30 14:04:48 UTC
Created attachment 1360958 [details]
empty policy events of the host

Comment 3 John Hardy 2017-11-30 15:25:58 UTC
Could you please provide the event log file from this run or a reproducer I would like to see evidence that the policy executed. thanks

Comment 4 thiebaut fischer 2017-12-01 09:20:37 UTC
This morning I tried the same procedure with the Azure cloud instance, and the results were similar: I'm able to see the policy event in timeline of the provider(Azure), on the cloud intel event/policy Timeline, but NOT on the instance's Timeline. 

I can see in the db events like : 
vm_template Policy resolved successfully


Please find the evm.log log in attachment.

Comment 5 thiebaut fischer 2017-12-01 09:52:24 UTC
Created attachment 1361484 [details]
logs

Comment 7 Gregg Tanzillo 2018-05-11 14:05:18 UTC
I took a look at the provided logs and I vcan't seem to find a policy resolution nor action that would be related to this issue.

These are the policy resolutions I saw -

./policy.log:[----] I, [2017-12-01T03:37:34.165345 #14667:5d712c]  INFO -- : MIQ(policy-enforce_policy): Resolving policy [inst_off_on]...
./policy.log:[----] I, [2017-12-01T03:37:39.580761 #14667:5d712c]  INFO -- : MIQ(policy-enforce_policy): Resolving policy [Prevent Retired VM from starting]...
./policy.log:[----] I, [2017-12-01T03:44:08.151687 #14675:5d712c]  INFO -- : MIQ(policy-enforce_policy): Resolving policy [inst_off_on]...
./policy.log:[----] I, [2017-12-01T03:45:05.946766 #14667:5d712c]  INFO -- : MIQ(policy-enforce_policy): Resolving policy [inst_off_on]...
./policy.log:[----] I, [2017-12-01T03:45:12.114331 #14675:5d712c]  INFO -- : MIQ(policy-enforce_policy): Resolving policy [Prevent Retired VM from starting]...
./policy.log:[----] I, [2017-12-01T04:26:57.023190 #14675:5d712c]  INFO -- : MIQ(policy-enforce_policy): Resolving policy [inst_off_on]...
./policy.log:[----] I, [2017-12-01T04:27:13.958814 #12854:5d712c]  INFO -- : MIQ(policy-enforce_policy): Resolving policy [inst_off_on]...

And these are the actions that were invoked -

./policy.log:[----] I, [2017-12-01T03:37:34.266560 #14667:5d712c]  INFO -- : MIQ(action-invoke) Invoking action [Start Virtual Machine] for successful policy [inst_off_on], event: [VM Power Off], entity name: [test-tfischer-t], entity type: [Instance (Microsoft Azure)], sequence: [1], synchronous? [true]
./policy.log:[----] I, [2017-12-01T03:37:39.582850 #14667:5d712c]  INFO -- : MIQ(action-invoke) Invoking action [Prevent current event from proceeding] for failed policy [Prevent Retired VM from starting], event: [VM Power On Request], entity name: [test-tfischer-t], entity type: [Instance (Microsoft Azure)], sequence: [], synchronous? []
./policy.log:[----] I, [2017-12-01T03:45:05.973438 #14667:5d712c]  INFO -- : MIQ(action-invoke) Invoking action [Start Virtual Machine] for successful policy [inst_off_on], event: [VM Power Off], entity name: [test-tfischer-t], entity type: [Instance (Microsoft Azure)], sequence: [1], synchronous? [true]
./policy.log:[----] I, [2017-12-01T03:45:12.116379 #14675:5d712c]  INFO -- : MIQ(action-invoke) Invoking action [Prevent current event from proceeding] for failed policy [Prevent Retired VM from starting], event: [VM Power On Request], entity name: [test-tfischer-t], entity type: [Instance (Microsoft Azure)], sequence: [], synchronous? []

Nothing that would invoke SSA. Are you sure the policy is wired up correctly and getting evaluated?

Comment 9 Josh Carter 2018-10-02 14:38:06 UTC
Dear customer, 

The CloudForms team is reviewing the current CloudForms Bug(defect) backlog in order to target engineering efforts. We are closing any bugs for versions that no longer have an active errata stream or that have hit their age limit. We are committing to better management of the backlog as we move forward. If you have an bug that you are still able to reproduce on a current version of CloudForms please open a new bug. 

If you have any concerns about this, please let us know.

Thanks and regards!


Note You need to log in before you can comment on or make changes to this bug.